/*##############################################################################
 Author:
 * Mirko Prosseda (04-2014)
 * email: mirko.prosseda@gmail.com
 
 Description:
 * Ambient Light Sensor test sketch v1.0
 * Check periodically the OUT pin of the ambient light sensor and prints its value 
 * on the Serial Monitor.
 
 Connections:
 * BOARD -> ARDUINO
 * Vcc   -> 5V
 * GND   -> GND
 * OUT   -> PIN A0
##############################################################################*/


// Define constants and variables
const int sensorPin = A0;   // Analog input pin that the sensor is attached to

int sensorValue = 0;        // value read from the pot

void setup() {
  Serial.begin(9600); // Serial Port initialization
}

void loop() {
  sensorValue = analogRead(sensorPin); // read the analog in value            
  Serial.println(sensorValue);   
  delay(50);                     
}
